﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace LithologyImageTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            Steema.TeeChart.Silverlight.Styles.ImageBar bar = new Steema.TeeChart.Silverlight.Styles.ImageBar(this.tChart.Chart);

            bar.Marks.Visible = true;
            bar.Marks.OnTop = true;
            bar.Marks.Style = Steema.TeeChart.Silverlight.Styles.MarksStyles.Label;
            bar.MultiBar = Steema.TeeChart.Silverlight.Styles.MultiBars.Stacked;
            bar.StackGroup = 1;

            bar.Add(10);
            bar.ImageTiled = true;
            bar.Image = GetBitmapResource("/LithologyImageTest;component/Images/Aeolianite.png");

            this.tChart.Series.Add(bar);

            Steema.TeeChart.Silverlight.Styles.ImageBar bar1 = new Steema.TeeChart.Silverlight.Styles.ImageBar(this.tChart.Chart);

            bar1.Marks.Visible = true;
            bar1.Marks.OnTop = true;
            bar1.Marks.Style = Steema.TeeChart.Silverlight.Styles.MarksStyles.Label;
            bar1.MultiBar = Steema.TeeChart.Silverlight.Styles.MultiBars.Stacked;
            bar1.StackGroup = 1;

            bar1.Add(20);
            bar1.ImageTiled = true;
            bar1.Image = GetBitmapResource("/LithologyImageTest;component/Images/Alluvium.png");

            this.tChart.Series.Add(bar1);
        }

        static private System.Windows.Media.Imaging.BitmapImage GetBitmapResource(string name)
        {
            Uri uri = new Uri(name, UriKind.RelativeOrAbsolute);
            System.Windows.Media.Imaging.BitmapImage result = new System.Windows.Media.Imaging.BitmapImage();
            result.UriSource = uri;
            return result;
        }
    }
}
